xquery version "3.1";

module namespace kmg-search="https://mollenhauer-edition.de/ns/search-request";

declare namespace tei="http://www.tei-c.org/ns/1.0";
declare namespace html="http://www.w3.org/1999/xhtml";
declare namespace index="https://mollenhauer-edition.de/index";

import module namespace config="https://sade.textgrid.de/ns/config" at "../../config.xqm";
import module namespace kwic="http://exist-db.org/xquery/kwic";

import module namespace facets="http://mollenhauer-edition.de/ns/facets" at "facets.xqm";
import module namespace search="http://mollenhauer-edition.de/ns/search" at "search.xqm";
import module namespace lang="https://sade.textgrid.de/ns/lang" at "../../lang.xqm";

declare function kmg-search:search-input($node as node(), $model as map(*)) {
    element label {
        attribute class {"search-label"},
        element span {
            lang:translate("search-term")
        },
        element input {
            attribute class {"search-input"},
            attribute type {"text"},
            attribute name {"term"},
            attribute value {request:get-parameter("term", "")}
        },
        element button {
            attribute class {"search-button"},
            attribute type {"submit"},
            element span {
                attribute class {"fa fa-arrow-right"}
            }
        }
    }
};

declare function kmg-search:search-request($node as node(), $model as map(*)) {
    let $term := request:get-parameter("term", "")
    return
    if ($term eq "") then
        element span { lang:translate("no-term") }
    else
        search:search-area($term)
};
